#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QPixmap>
#include <QLabel>
#include <QVBoxLayout>

namespace Ui
{
class MainWindow;
}

class MainWindow : public QMainWindow
{

    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:

    //  A problem that could exist here is, the fact that
    //  the Signal delivers a Boolean, but that the
    //  Slot implementation does not use any parameters.
    //  This can result in warnings.

    //  Apparently, the semantics of declaring with (void),
    //  but then implementating with an empty parameter
    //  list, removes the warnings...

    void resetQ(void);

    void setLOT(void);
    void setROT(void);

private:
    QLabel i_label;
    QPixmap *sw_pixmap;
    QWidget *central_widget;
    QVBoxLayout *mVBox;

    void resizeEvent(QResizeEvent*);
};

#endif // MAINWINDOW_H
